Next Previous Up Contents
Next: Mgc
Up: Activation Functions
Previous: Browsers

### B.2.3 Image

Functions for display of images in a window. Supported image formats include GIF, JPEG, PNG and FITS, which may be compressed. The SoG program (http://www.starlink.ac.uk/sog/) will be used if it is available, otherwise a no-frills image viewer will be used instead.

`displayImage( label, location )`
  Displays the file at the given location in an image viewer.

  - Parameters:
    - `label` (String): identifies the window in which the imag will be displayed
    - `location` (String): image location - may be a filename or URL
  - Return value
    - (String): short log message

Next Previous Up Contents
Next: Mgc
Up: Activation Functions
Previous: Browsers

TOPCAT - Tool for OPerations on Catalogues And Tables
Starlink User Note253
TOPCAT web page: http://www.starlink.ac.uk/topcat/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk